## org.eclipse.emf.ecore.sdo
Interface EDataGraph

All Superinterfaces:
  DataGraph, EObject, Notifier, java.io.Serializable

All Known Implementing Classes:
  EDataGraphImpl

    public interface EDataGraph

extends EObject, DataGraph, java.io.Serializable

A representation of the model object 'EData Graph'.

See Also:
  `SDOPackage.getEDataGraph()`

Nested Class Summary
`static interface` `EDataGraph.Internal` An internal interface implemented by all data graphs to support.

Method Summary
`EObject` `createEObject(EClass type)`
`Resource` `getDataGraphResource()` Returns the resource of this data graph; one is created if necessary.
`EChangeSummary` `getEChangeSummary()` Returns the value of the 'EChange Summary' reference.
`EClassifier` `getEClassifier(java.lang.String namespaceURI, java.lang.String typeName)`
`EObject` `getERootObject()` Returns the value of the 'ERoot Object' reference
`ResourceSet` `getResourceSet()` Returns the value of the 'Resource Set' attribute
`Resource` `getRootResource()` Returns the value of the 'Root Resource' attribute
`void` `setEChangeSummary(EChangeSummary value)` Sets the value of the '`EChange Summary`' reference
`void` `setERootObject(EObject value)` Sets the value of the '`ERoot Object`' reference
`void` `setResourceSet(ResourceSet value)` Sets the value of the '`Resource Set`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface commonj.sdo.DataGraph
`createRootObject, createRootObject, getChangeSummary, getRootObject, getType`

Method Detail

### getResourceSet

    ResourceSet getResourceSet()

  Returns the value of the 'Resource Set' attribute.

  If the meaning of the 'Resource Set' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Set' attribute.
  See Also:
    `setResourceSet(ResourceSet)`, `SDOPackage.getEDataGraph_ResourceSet()`

### setResourceSet

    void setResourceSet(ResourceSet value)

  Sets the value of the '`Resource Set`' attribute.

  Parameters:
    `value` - the new value of the 'Resource Set' attribute.
  See Also:
    `getResourceSet()`

### getRootResource

    Resource getRootResource()

  Returns the value of the 'Root Resource' attribute.

  If the meaning of the 'Root Resource' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Root Resource' attribute.
  See Also:
    `SDOPackage.getEDataGraph_RootResource()`

### getDataGraphResource

    Resource getDataGraphResource()

  Returns the resource of this data graph; one is created if necessary.

  Returns:
    the resource of this data graph.

### getEChangeSummary

    EChangeSummary getEChangeSummary()

  Returns the value of the 'EChange Summary' reference. It is bidirectional and its opposite is '`EData Graph`'.

  If the meaning of the 'EChange Summary' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EChange Summary' reference.
  See Also:
    `setEChangeSummary(EChangeSummary)`, `SDOPackage.getEDataGraph_EChangeSummary()`, `EChangeSummary.getEDataGraph()`

### setEChangeSummary

    void setEChangeSummary(EChangeSummary value)

  Sets the value of the '`EChange Summary`' reference.

  Parameters:
    `value` - the new value of the 'EChange Summary' reference.
  See Also:
    `getEChangeSummary()`

### getERootObject

    EObject getERootObject()

  Returns the value of the 'ERoot Object' reference.

  If the meaning of the 'ERoot Object' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ERoot Object' reference.
  See Also:
    `setERootObject(EObject)`, `SDOPackage.getEDataGraph_ERootObject()`

### setERootObject

    void setERootObject(EObject value)

  Sets the value of the '`ERoot Object`' reference.

  Parameters:
    `value` - the new value of the 'ERoot Object' reference.
  See Also:
    `getERootObject()`

### getEClassifier

    EClassifier getEClassifier(java.lang.String namespaceURI,
                               java.lang.String typeName)

### createEObject

    EObject createEObject(EClass type)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.